/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ HfcSvgIcon)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class"],[],[]]);

;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["width","24"],["height","24"],["viewBox","0 0 24 24"],["xmlns","http://www.w3.org/2000/svg"],["class","fluentui-icon-print-add-filled"]];
const svgHtml = "<path d=\"M23 6.5a5.5 5.5 0 10-11 0 5.5 5.5 0 0011 0zM18 7v2.5a.5.5 0 11-1 0V7h-2.5a.5.5 0 010-1H17V3.5a.5.5 0 011 0V6h2.5a.5.5 0 010 1H18zm-.5 6c1.75 0 3.34-.7 4.5-1.81v5.06c0 1.24-1 2.25-2.24 2.25H18v1.25c0 1.24-1 2.25-2.25 2.25h-7.5C7.01 22 6 21 6 19.75V18.5H4.25c-1.24 0-2.25-1-2.25-2.25v-6C2 8.45 3.46 7 5.25 7H6v-.75C6 5.01 7 4 8.25 4h3.25c-.2.47-.34.98-.42 1.5H8.25a.75.75 0 00-.75.75V7h3.52a6.5 6.5 0 006.48 6zm-1 2.25a.75.75 0 00-.75-.75h-7.5a.75.75 0 00-.75.75v4.5c0 .41.34.75.75.75h7.5c.41 0 .75-.34.75-.75v-4.5z\"></path>";
class HfcSvgIcon {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        bindToElement(this.container, props.others);
    }
}
HfcSvgIcon.tag = "svg";
HfcSvgIcon.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
